# Validate post content

Validates post content without changing anything.

```http
POST https://api.pozy.ai/v1/tools/validate/post
```

- Area: Publishing / Validate
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `content`, string
- `platforms`, array of object, required
  - `platform`, string, required: One of `twitter`, `instagram`, `tiktok`, `youtube`, `facebook`, `linkedin`, `bluesky`, `threads`, `reddit`, `pinterest`, `telegram`, `snapchat`, `googlebusiness`, `discord`, `slack`
  - `accountId`, string
  - `customContent`, string
  - `platformSpecificData`, object
  - `customMedia`, array of object
    - `type`, string: One of `image`, `video`, `gif`, `document`
    - `url`, string (URL)
    - `fileId`, string
    - `accountId`, string
    - `title`, string
    - `altText`, string
    - `filename`, string
    - `size`, integer
    - `mimeType`, string
    - `thumbnail`, string (URL)
    - `instagramThumbnail`, string (URL)
    - `subtitles`, array of object: Up to 20 items
      - `url`, string (URL), required
      - `language`, string, required
    - `tiktokProcessed`, boolean
- `mediaItems`, array of object
  - `type`, string: One of `image`, `video`, `gif`, `document`
  - `url`, string (URL)
  - `fileId`, string
  - `accountId`, string
  - `title`, string
  - `altText`, string
  - `filename`, string
  - `size`, integer
  - `mimeType`, string
  - `thumbnail`, string (URL)
  - `instagramThumbnail`, string (URL)
  - `subtitles`, array of object: Up to 20 items
    - `url`, string (URL), required
    - `language`, string, required
  - `tiktokProcessed`, boolean

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/tools/validate/post" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "platforms": [
    {
      "platform": "twitter"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/tools/validate/post", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    platforms: [
      {
        platform: "twitter"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/tools/validate/post",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "platforms": [
            {
                "platform": "twitter",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200


```json
{
  "valid": true,
  "message": "Hello from Pozy",
  "warnings": [
    {
      "platform": "instagram",
      "warning": "string"
    }
  ]
}
```
